Subject: Re: Computational Finance Project



Dear Amy,
	Sorry that I did not respond to your message earlier.
On the whole the outline looks great! Only problem is that it may be
somewhat ambitious. Perhaps the best thing to do is to simply cpncentrate
on the first part of the project (introducing additional commodities)
and worry about the communication problem later on.

	There is another group led by Anna Balayan, and they are thinking
of doing a portfolio. They can use your system to make portfolio's of
N commodities.

	This is exactly what I would like to see. Please talk to Ron, and try
to get started as soon as possible.

		bud

> Prof Mishra:
> 
> Our group met last week to discuss ideas for the class project.
> Based on our discussion, I think it seems clear that we would
> like to do a project in Java and preferably one that builds 
> on Cafe.
> 
> The 2 main modifications to Cafe that we focused on were 
> (1) the creation of additional commodities and
> (2) adding limited communication between agents.
> 
> Our basic plan would be to first add support for these 
> features to Cafe.  Once this is completed, we would then 
> attempt to model some of the commodity types and 
> communication scenarios described below.
> 
> On the subject of creating additional commodities, we would
> create and introduce commodities with different characteristics.
> We would then see how these commodities behave in the Cafe
> environment.  Some of the types of commodities tht we discussed
> were:
> 
>   * limited supply commodities (no new production)
>   * commodities that increase in number or value over time
>     (while you are holding them)
>   * commodities whose value to you is affected by what
>      commodities others (your neighbors) have
>   * currencies
>   * commodities whose price is impacted by the price of another
>     commodity (e.g. stock in a company that produces a commodity).
> 
> On the subject of adding limited communication among agents we
> discussed using this feature to model some of the following
> scenarios:
> 
> communication among producers:
> -----------------------------
>   * limited cooperation among some or all producers of the 
>     same commodity (controlling price, volume produced, etc)
>   * other cooperation/competition scenarios among producers
>     of the same commodity (e.g. price fixing, cartels, etc.)
> 
> communication among consumers:
> -----------------------------
>   * your bidding behavior (utility function) is impacted by 
>     how much of a commodity your neighbor has or will get
>     (e.g. limited supply of television sets).
> 
> By the way, our group consists of the following people:
>   Amy Merritt
>   Daniel Kluger
>   Ron Kantor
>   John Lee
>   Gidon Wise
> 
> We would appreciate any comments or suggestions that you have
> regarding our project ideas.
> 
> Thanks.
> 
> - Amy
>